com.smartgwt.client.types

## Enum Axis

- java.lang.Object
- - java.lang.Enum<Axis>
  - - com.smartgwt.client.types.Axis

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<Axis>

      public enum Axis
      extends java.lang.Enum<Axis>
      implements ValueEnum

  An axis or "side" of a table.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLUMN` Column axis
    `ROW` Row axis

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static Axis` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Axis[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROW

          public static final Axis ROW

      Row axis

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "row".

    - #### COLUMN

          public static final Axis COLUMN

      Column axis

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "column".

  - ### Method Detail

    - #### values

          public static Axis[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Axis c : Axis.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Axis valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`